// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
#ifndef CSCG4ExDetectorConstMessenger_h
#define CSCG4ExDetectorConstMessenger_h 1

class CSCG4ExDetectorConstruction;
class G4UIdirectory;
class G4UIcmdWithADoubleAndUnit;

#include "G4UImessenger.hh"
#include "globals.hh"

class CSCG4ExDetectorConstMessenger: public G4UImessenger
{
  public:
    CSCG4ExDetectorConstMessenger(CSCG4ExDetectorConstruction* mpga);
    ~CSCG4ExDetectorConstMessenger();
    
  public:
    void SetNewValue(G4UIcommand * command,G4String newValues);
    G4String GetCurrentValue(G4UIcommand * command);

  private:
    CSCG4ExDetectorConstruction * target;
    
  private: //commands
    G4UIdirectory *             mydetDirectory;
    G4UIcmdWithADoubleAndUnit*  armCmd;
    
};

#endif


