// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
#ifndef CSCG4ExDriftChamber_h
#define CSCG4ExDriftChamber_h 1

#include "G4VSensitiveDetector.hh"
#include "CSCG4ExDriftChamberHit.hh"
class G4Step;
class G4HCofThisEvent;
class G4TouchableHistory;

class CSCG4ExDriftChamber : public G4VSensitiveDetector
{

  public:
      CSCG4ExDriftChamber(G4String name);
      virtual ~CSCG4ExDriftChamber();

      virtual void Initialize(G4HCofThisEvent*HCE);
      virtual G4bool ProcessHits(G4Step*aStep,G4TouchableHistory*ROhist);
      virtual void EndOfEvent(G4HCofThisEvent*HCE);

  private:
      CSCG4ExDriftChamberHitsCollection * hitsCollection;
      G4int HCID;
};




#endif

