// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
#ifndef CSCG4ExEventAction_h
#define CSCG4ExEventAction_h 1

#include "G4UserEventAction.hh"
#include "globals.hh"

class CSCG4ExEventActionMessenger;

class CSCG4ExEventAction : public G4UserEventAction
{
  public:
    CSCG4ExEventAction();
    virtual ~CSCG4ExEventAction();

  public:
    virtual void BeginOfEventAction(const G4Event*);
    virtual void EndOfEventAction(const G4Event*);

  private:
    G4int HHC1ID;
    G4int HHC2ID;
    G4int DHC1ID;
    G4int DHC2ID;
    G4int ECHCID;
    CSCG4ExEventActionMessenger* messenger;
    G4int verboseLevel;

  public:
    inline void SetVerbose(G4int val) { verboseLevel = val; }
    inline G4int GetVerbose() const { return verboseLevel; }
};

#endif

    
