// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//

#ifndef CSCG4ExMagneticField_H
#define CSCG4ExMagneticField_H 1

#include "globals.hh"
#include "G4MagneticField.hh"
class CSCG4ExMagneticFieldMessenger;

class CSCG4ExMagneticField : public G4MagneticField
{
  public:
    CSCG4ExMagneticField();
    ~CSCG4ExMagneticField();

    virtual void GetFieldValue( const  double Point[3],
                               double *Bfield ) const;

  private:
    CSCG4ExMagneticFieldMessenger* messenger;
    G4double By;
    G4double rmax_sq;
    G4double ymax;

  public:
    inline void SetField(G4double val) { By = val; }
    inline G4double GetField() const { return By; }
};

#endif

