// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//

#ifndef CSCG4ExPhysicsList_h
#define CSCG4ExPhysicsList_h 1

#include "G4VUserPhysicsList.hh"
#include "globals.hh"

class CSCG4ExPhysicsList: public G4VUserPhysicsList
{
public:
  CSCG4ExPhysicsList();
  virtual ~CSCG4ExPhysicsList();
  
protected:
  // Construct particle and physics
  virtual void ConstructParticle();
  virtual void ConstructProcess();
  virtual void SetCuts();
  
protected:
  // these methods Construct physics processes and register them
  virtual void ConstructGeneral();
  virtual void ConstructEM();
  virtual void ConstructHad();

  // these methods Construct all particles in each category
  virtual void ConstructAllBosons();
  virtual void ConstructAllLeptons();
  virtual void ConstructAllMesons();
  virtual void ConstructAllBaryons();
  virtual void ConstructAllIons();
  virtual void ConstructAllShortLiveds();
};

#endif



