// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
#ifndef CSCG4ExPrimaryGeneratorMessenger_h
#define CSCG4ExPrimaryGeneratorMessenger_h 1

class CSCG4ExPrimaryGeneratorAction;
class G4UIcmdWithADoubleAndUnit;

#include "G4UImessenger.hh"
#include "globals.hh"

class CSCG4ExPrimaryGeneratorMessenger: public G4UImessenger
{
  public:
    CSCG4ExPrimaryGeneratorMessenger(CSCG4ExPrimaryGeneratorAction* mpga);
    ~CSCG4ExPrimaryGeneratorMessenger();
    
  public:
    void SetNewValue(G4UIcommand * command,G4String newValues);
    G4String GetCurrentValue(G4UIcommand * command);

  private:
    CSCG4ExPrimaryGeneratorAction * target;
    
  private: //commands
    G4UIcmdWithADoubleAndUnit*  momentumCmd;
    G4UIcmdWithADoubleAndUnit*  sigmaMomCmd;
    G4UIcmdWithADoubleAndUnit*  sigmaAngCmd;
    
};

#endif


