// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//

#include "CSCG4ExMagneticField.hh"
#include "CSCG4ExMagneticFieldMessenger.hh"

CSCG4ExMagneticField::CSCG4ExMagneticField()
{
  messenger = new CSCG4ExMagneticFieldMessenger(this);
  By = 1.0*tesla;
  rmax_sq = sqr(1.*m);
  ymax = 100.*cm;
}

CSCG4ExMagneticField::~CSCG4ExMagneticField()
{ delete messenger; }

void CSCG4ExMagneticField::GetFieldValue(const double Point[3],double *Bfield) const
{
  Bfield[0] = 0.;
  Bfield[2] = 0.;
  if(abs(Point[2])<ymax && (sqr(Point[0])+sqr(Point[2]))<rmax_sq)
  { Bfield[1] = By; }
  else
  { Bfield[1] = 0.; }
}

