// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
#ifndef MyHadCalorimeter_h
#define MyHadCalorimeter_h 1

#include "G4VSensitiveDetector.hh"
#include "MyHadCalorimeterHit.hh"
class G4Step;
class G4HCofThisEvent;
class G4TouchableHistory;

class MyHadCalorimeter : public G4VSensitiveDetector
{

  public:
      MyHadCalorimeter(G4String name);
      virtual ~MyHadCalorimeter();

      virtual void Initialize(G4HCofThisEvent*HCE);
      virtual G4bool ProcessHits(G4Step*aStep,G4TouchableHistory*ROhist);
      virtual void EndOfEvent(G4HCofThisEvent*HCE);

  private:
      MyHadCalorimeterHitsCollection* hitsCollection;
      G4int HCID;
};




#endif

